Skip to main content
GET
/
waap
/
v1
/
custom-page-sets
/
{set_id}
Retrieve a custom page set
curl --request GET \
  --url https://api.gcore.com/waap/v1/custom-page-sets/{set_id} \
  --header 'Authorization: <api-key>'
{
  "name": "<string>",
  "id": 123,
  "domains": [
    123
  ],
  "block": {
    "enabled": true,
    "logo": "<string>",
    "header": "<string>",
    "title": "<string>",
    "text": "<string>"
  },
  "block_csrf": {
    "enabled": true,
    "logo": "<string>",
    "header": "<string>",
    "title": "<string>",
    "text": "<string>"
  },
  "captcha": {
    "enabled": true,
    "logo": "<string>",
    "header": "<string>",
    "title": "<string>",
    "text": "<string>",
    "error": "<string>"
  },
  "cookie_disabled": {
    "enabled": true,
    "header": "<string>",
    "text": "<string>"
  },
  "handshake": {
    "enabled": true,
    "logo": "<string>",
    "header": "<string>",
    "title": "<string>"
  },
  "javascript_disabled": {
    "enabled": true,
    "header": "<string>",
    "text": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

set_id
integer
required

The ID of the custom page set

Response

Successful Response

name
string
required

Name of the custom page set

Required string length: 1 - 50
id
integer
required

The ID of the custom page set

domains
integer[] | null

List of domain IDs that are associated with this page set

The domain ID

block
BlockPageData · object
block_csrf
BlockCsrfPageData · object
captcha
CaptchaPageData · object
handshake
HandshakePageData · object
javascript_disabled
JavascriptDisabledPageData · object